[openwrt/openwrt] mediatek: fix wrong return code in platform_check_image()

LEDE Commits lede-commits at lists.infradead.org
Sat Jan 28 20:11:05 PST 2023


dangole pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/016a7bd558183dae67e6ed3c29ee82d7b5c2f579

commit 016a7bd558183dae67e6ed3c29ee82d7b5c2f579
Author: Chen Minqiang <ptpt52 at gmail.com>
AuthorDate: Sun Dec 18 08:59:44 2022 +0800

    mediatek: fix wrong return code in platform_check_image()
    
    Ensure that the platform_check_image() function returns an error code.
    
    Signed-off-by: Chen Minqiang <ptpt52 at gmail.com>
---
 target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh | 2 +-
 target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh  | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
index 93b202218a..9a389d59b1 100755
--- a/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
@@ -95,7 +95,7 @@ platform_check_image() {
 		;;
 	*)
 		nand_do_platform_check "$board" "$1"
-		return 0
+		return $?
 		;;
 	esac
 
diff --git a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
index d3d503dd1e..e3c66a3b01 100755
--- a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
@@ -74,6 +74,7 @@ platform_check_image() {
 	totolink,a8000ru|\
 	xiaomi,redmi-router-ax6s)
 		nand_do_platform_check "$board" "$1"
+		return $?
 		;;
 	*)
 		[ "$magic" != "d00dfeed" ] && {




More information about the lede-commits mailing list